<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: /work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/s6link_adapt_top_lpm.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li><li class="navelem"><a class="el" href="dir_50b085d9a531d2f4fb508e8939da4f56.html">IPBUS</a></li><li class="navelem"><a class="el" href="dir_82a7af75b398477d111fe36af738d6c8.html">S6Link</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">s6link_adapt_top_lpm.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">--////////////////////////////////////////////////////////////////////////////////</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">--//   ____  ____ </span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">--//  /   /\/   / </span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">--// /___/  \  /    Vendor: Xilinx </span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">--// \   \   \/     Version : </span><span class="vhdllogic">2</span>.<span class="vhdllogic">5</span><span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">--//  \   \         Application : </span><span class="vhdllogic">7</span> Series FPGAs Transceivers Wizard <span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">--//  /   /         Filename :s6link_adapt_top_lpm.vhd</span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">--// /___/   /\     </span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">--// \   \  /  \ </span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">--//  \___\/\___\ </span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">--//</span><span class="keyword"></span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">--//</span><span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">--  Description :     This module performs TX reset <span class="vhdlkeyword">and</span> initialization.</span><span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">--                     </span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">-- Module S6Link_adapt_top_lpm</span><span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">-- Generated by Xilinx </span><span class="vhdllogic">7</span> Series FPGAs Transceivers Wizard<span class="keyword"></span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">-- (c) Copyright 2010-2012 Xilinx, Inc. <span class="vhdlkeyword">All</span> rights reserved.</span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">-- This <span class="vhdlkeyword">file</span> contains confidential <span class="vhdlkeyword">and</span> proprietary information</span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">of</span> Xilinx, Inc. <span class="vhdlkeyword">and</span> <span class="vhdlkeyword">is</span> protected under U.S. <span class="vhdlkeyword">and</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">-- international copyright <span class="vhdlkeyword">and</span> other intellectual <span class="vhdlkeyword">property</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">-- laws.</span><span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">-- DISCLAIMER</span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">-- This disclaimer <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">not</span> a license <span class="vhdlkeyword">and</span> does <span class="vhdlkeyword">not</span> grant any</span><span class="keyword"></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">-- rights <span class="vhdlkeyword">to</span> the materials distributed herewith. Except as</span><span class="keyword"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">-- otherwise provided <span class="vhdlkeyword">in</span> a valid license issued <span class="vhdlkeyword">to</span> you by</span><span class="keyword"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">-- Xilinx, <span class="vhdlkeyword">and</span> <span class="vhdlkeyword">to</span> the maximum extent permitted by applicable</span><span class="keyword"></span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">-- law: (</span><span class="vhdllogic">1</span>) THESE MATERIALS ARE MADE AVAILABLE &quot;AS IS&quot; <span class="vhdlkeyword">AND</span><span class="keyword"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">WITH</span> <span class="vhdlkeyword">ALL</span> FAULTS, <span class="vhdlkeyword">AND</span> XILINX HEREBY DISCLAIMS <span class="vhdlkeyword">ALL</span> WARRANTIES</span><span class="keyword"></span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">AND</span> CONDITIONS, EXPRESS, IMPLIED, <span class="vhdlkeyword">OR</span> STATUTORY, INCLUDING</span><span class="keyword"></span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">-- BUT <span class="vhdlkeyword">NOT</span> LIMITED <span class="vhdlkeyword">TO</span> WARRANTIES <span class="vhdlkeyword">OF</span> MERCHANTABILITY, NON-</span><span class="keyword"></span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">-- INFRINGEMENT, <span class="vhdlkeyword">OR</span> FITNESS <span class="vhdlkeyword">FOR</span> ANY PARTICULAR PURPOSE; <span class="vhdlkeyword">and</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">-- (</span><span class="vhdllogic">2</span>) Xilinx shall <span class="vhdlkeyword">not</span> be liable (whether <span class="vhdlkeyword">in</span> contract <span class="vhdlkeyword">or</span> tort,<span class="keyword"></span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">-- including negligence, <span class="vhdlkeyword">or</span> under any other theory <span class="vhdlkeyword">of</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">-- liability) <span class="vhdlkeyword">for</span> any loss <span class="vhdlkeyword">or</span> damage <span class="vhdlkeyword">of</span> any kind <span class="vhdlkeyword">or</span> nature</span><span class="keyword"></span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">-- related <span class="vhdlkeyword">to</span>, arising under <span class="vhdlkeyword">or</span> <span class="vhdlkeyword">in</span> connection <span class="vhdlkeyword">with</span> these</span><span class="keyword"></span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">-- materials, including <span class="vhdlkeyword">for</span> any direct, <span class="vhdlkeyword">or</span> any indirect,</span><span class="keyword"></span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">-- special, incidental, <span class="vhdlkeyword">or</span> consequential loss <span class="vhdlkeyword">or</span> damage</span><span class="keyword"></span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">-- (including loss <span class="vhdlkeyword">of</span> data, profits, goodwill, <span class="vhdlkeyword">or</span> any <span class="vhdlkeyword">type</span> <span class="vhdlkeyword">of</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">-- loss <span class="vhdlkeyword">or</span> damage suffered as a result <span class="vhdlkeyword">of</span> any action brought</span><span class="keyword"></span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">-- by a third party) even <span class="vhdlkeyword">if</span> such damage <span class="vhdlkeyword">or</span> loss was</span><span class="keyword"></span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">-- reasonably foreseeable <span class="vhdlkeyword">or</span> Xilinx had been advised <span class="vhdlkeyword">of</span> the</span><span class="keyword"></span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">-- possibility <span class="vhdlkeyword">of</span> the same.</span><span class="keyword"></span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">-- CRITICAL APPLICATIONS</span><span class="keyword"></span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">-- Xilinx products are <span class="vhdlkeyword">not</span> designed <span class="vhdlkeyword">or</span> intended <span class="vhdlkeyword">to</span> be fail-</span><span class="keyword"></span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">-- safe, <span class="vhdlkeyword">or</span> <span class="vhdlkeyword">for</span> <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">in</span> any application requiring fail-safe</span><span class="keyword"></span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">-- performance, such as life-support <span class="vhdlkeyword">or</span> safety devices <span class="vhdlkeyword">or</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">-- systems, Class III medical devices, nuclear facilities,</span><span class="keyword"></span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">-- applications related <span class="vhdlkeyword">to</span> the deployment <span class="vhdlkeyword">of</span> airbags, <span class="vhdlkeyword">or</span> any</span><span class="keyword"></span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">-- other applications that could lead <span class="vhdlkeyword">to</span> death, personal</span><span class="keyword"></span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">-- injury, <span class="vhdlkeyword">or</span> severe <span class="vhdlkeyword">property</span> <span class="vhdlkeyword">or</span> environmental damage</span><span class="keyword"></span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">-- (individually <span class="vhdlkeyword">and</span> collectively, &quot;Critical</span><span class="keyword"></span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">-- Applications&quot;). Customer assumes the sole risk <span class="vhdlkeyword">and</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">-- liability <span class="vhdlkeyword">of</span> any <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">of</span> Xilinx products <span class="vhdlkeyword">in</span> Critical</span><span class="keyword"></span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">-- Applications, subject only <span class="vhdlkeyword">to</span> applicable laws <span class="vhdlkeyword">and</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">-- regulations governing limitations <span class="vhdlkeyword">on</span> product liability.</span><span class="keyword"></span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">-- THIS COPYRIGHT NOTICE <span class="vhdlkeyword">AND</span> DISCLAIMER MUST BE RETAINED AS</span><span class="keyword"></span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">-- PART <span class="vhdlkeyword">OF</span> THIS <span class="vhdlkeyword">FILE</span> AT <span class="vhdlkeyword">ALL</span> TIMES. </span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">--*****************************************************************************</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="vhdlkeyword">use </span>IEEE.STD_LOGIC_1164.<span class="vhdlkeyword">ALL</span>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="vhdlkeyword">use </span>IEEE.STD_LOGIC_UNSIGNED.<span class="vhdlkeyword">ALL</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="vhdlkeyword">use </span>IEEE.STD_LOGIC_ARITH.<span class="vhdlkeyword">ALL</span>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="vhdlkeyword">use </span>IEEE.NUMERIC_STD.<span class="vhdlkeyword">ALL</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="code" href="classS6Link__ADAPT__TOP__LPM.html">   76</a></span>&#160;<span class="keywordflow">entity </span><a class="code" href="classS6Link__ADAPT__TOP__LPM.html">S6Link_ADAPT_TOP_LPM</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="vhdlkeyword">generic</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="vhdlchar">TIMER</span> <span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">to</span> <span class="vhdllogic"></span><span class="vhdllogic">4095</span><span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">150</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="vhdlkeyword">port</span> </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="vhdlchar">EN</span>                <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="vhdlchar">GTRXRESET</span>         <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="vhdlchar">RXPMARESET</span>        <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="vhdlchar">RXDFELPMRESET</span>     <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">    --DRP</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="vhdlchar">DCLK</span>              <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="vhdlchar">DO</span>                <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="vhdlchar">DRDY</span>              <span class="vhdlchar">:</span>  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="vhdlchar">DADDR</span>             <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="vhdlchar">DI</span>                <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="vhdlchar">DEN</span>               <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="vhdlchar">DWE</span>               <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="vhdlchar">KLHOLD</span>            <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="vhdlchar">KHHOLD</span>            <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="keyword">    --DONE  </span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="vhdlchar">DONE</span>              <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">    --Debug</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="vhdlchar">DEBUG</span>             <span class="vhdlchar">:</span>  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">53</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">S6Link_ADAPT_TOP_LPM</span>;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="code" href="classS6Link__ADAPT__TOP__LPM_1_1Behavioral.html">  104</a></span>&#160;<span class="vhdlkeyword">architecture</span> Behavioral <span class="vhdlkeyword">of</span> <a class="code" href="classS6Link__ADAPT__TOP__LPM.html">S6Link_ADAPT_TOP_LPM</a> is</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="vhdlkeyword">component</span> <a class="code" href="classS6Link__adapt__starter.html">S6Link_adapt_starter</a></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="vhdlkeyword">generic</span>(</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    WAIT_CYC :<span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">to</span> <span class="vhdllogic"></span><span class="vhdllogic">16</span> := <span class="vhdllogic"></span><span class="vhdllogic">10</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;RST                     :  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;  </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;CLK                     :  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>; </div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;DO                    :  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);  </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;DRDY                    :  <span class="vhdlkeyword">in</span>  <span class="comment">STD_LOGIC</span>;  </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;DADDR                     :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);  </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;DEN                     :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;  </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;DWE                     :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;  </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;READY                   :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span>;  </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;curr_state_debug          :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;counter_debug            :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">2</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;rst_int_debug            :  <span class="vhdlkeyword">out</span> <span class="comment">STD_LOGIC</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;);</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span>;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="vhdlkeyword">component</span> <a class="code" href="classS6Link__lpm__loop__fsm.html">S6Link_lpm_loop_fsm</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="vhdlkeyword">generic</span> (</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; usr_clk: <span class="comment">integer</span> <span class="vhdlkeyword">range</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">to</span> <span class="vhdllogic"></span><span class="vhdllogic">4095</span> := <span class="vhdllogic"></span><span class="vhdllogic">3</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160; );</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="vhdlkeyword">Port</span>( </div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;DCLK              : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;reset             : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;DRDY              : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;DO                : <span class="vhdlkeyword">in</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;holds             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;DI                : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;DADDR             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;DWE,DEN,kill3     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;state             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;count_lock_out    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;store_di0         : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;start,enable,kill0,kill1,kill2,lock0,lock1,lock2,lock3 : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;);</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span>;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">rst</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">start_done</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">done_pre</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_done</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">en_b</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="keyword">--DRP-related</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">daddr_starter</span> <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">den_starter</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">dwe_starter</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">daddr_lock</span>       <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">den_lock</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">dwe_lock</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">di_lock</span>          <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">holds</span>            <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">rst_lock</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_done_r</span><span class="vhdlchar">,</span> <span class="vhdlchar">lock_done_r2</span> <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="keyword">--Debug signals</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_statek</span>                  <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_countk</span>                  <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock0</span><span class="vhdlchar">,</span> <span class="vhdlchar">lock1</span><span class="vhdlchar">,</span> <span class="vhdlchar">lock2</span><span class="vhdlchar">,</span> <span class="vhdlchar">lock3</span>   <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">starter_state</span>                <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">starter_count</span>                <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">starter_rst_int</span>              <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_done_rise</span>               <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">store_di0k</span>                   <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_state</span>                   <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">lock_count</span>                   <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">store_di0</span>                    <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="vhdlkeyword">signal</span> <span class="vhdlchar">start</span><span class="vhdlchar">,</span> <span class="vhdlchar">enable</span><span class="vhdlchar">,</span> <span class="vhdlchar">kill0</span><span class="vhdlchar">,</span> <span class="vhdlchar">kill1</span><span class="vhdlchar">,</span> <span class="vhdlchar">kill2</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="vhdlkeyword">begin</span><span class="keyword"></span></div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="keyword">------------------------------------------------------------/</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="vhdlchar">rst</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">(</span><span class="vhdlchar">(</span><span class="vhdlchar">GTRXRESET</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">RXPMARESET</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">RXDFELPMRESET</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">and</span> <span class="vhdlchar">EN</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="vhdlchar">en_b</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlkeyword">not</span><span class="vhdlchar">(</span><span class="vhdlchar">EN</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;<span class="vhdlchar">rst_lock</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlkeyword">not</span><span class="vhdlchar">(</span><span class="vhdlchar">start_done</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="vhdlchar">done_pre</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">lock_done</span>;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="vhdlchar">DONE</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">done_pre</span> <span class="vhdlkeyword">and</span> <span class="vhdlchar">start_done</span>;<span class="keyword"> --So that DONE goes low immediately <span class="vhdlkeyword">after</span> any <span class="vhdlkeyword">of</span> RESET&#39;s <span class="vhdlkeyword">is</span> asserted</span></div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="vhdlkeyword">process</span>(DCLK)</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;  <span class="vhdlkeyword">if</span> <span class="vhdlchar">rising_edge</span><span class="vhdlchar">(</span><span class="vhdlchar">DCLK</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">then</span>    </div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    lock_done_r &lt;= lock_done;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    lock_done_r2 &lt;= lock_done_r;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;  <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">if</span>;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">process</span>;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;lock_done_rise &lt;= <span class="vhdlkeyword">not</span>(lock_done_r2) <span class="vhdlkeyword">and</span> lock_done_r;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="vhdlchar">DEBUG</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">lock_state</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">lock_count</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">store_di0</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">lock0</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">lock1</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">lock2</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">lock3</span> <span class="vhdlchar">&amp;</span>    <span class="vhdlchar">start</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">enable</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">kill0</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">kill1</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">kill2</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">rst_lock</span>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="vhdlchar">KLHOLD</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">holds</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="vhdlchar">KHHOLD</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">holds</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="keyword">--When a <span class="vhdlkeyword">block</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">not</span> active, it will hold DADDR,DI,DEN,DWE low</span></div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;<span class="vhdlchar">DADDR</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">when</span> <span class="vhdlchar">(</span><span class="vhdlchar">en_b</span><span class="vhdlchar">=</span><span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">else</span> <span class="vhdlchar">(</span><span class="vhdlchar">daddr_starter</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">daddr_lock</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;<span class="vhdlchar">DI</span>    <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">when</span> <span class="vhdlchar">(</span><span class="vhdlchar">en_b</span><span class="vhdlchar">=</span><span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">else</span> <span class="vhdlchar">di_lock</span>;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="vhdlchar">DEN</span>   <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span> <span class="vhdlkeyword">when</span> <span class="vhdlchar">(</span><span class="vhdlchar">en_b</span><span class="vhdlchar">=</span><span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">else</span> <span class="vhdlchar">(</span><span class="vhdlchar">den_starter</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">den_lock</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="vhdlchar">DWE</span>   <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span> <span class="vhdlkeyword">when</span> <span class="vhdlchar">(</span><span class="vhdlchar">en_b</span><span class="vhdlchar">=</span><span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">else</span> <span class="vhdlchar">(</span><span class="vhdlchar">dwe_starter</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">dwe_lock</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="keyword">----/***************************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;<span class="keyword">----    <span class="vhdlkeyword">Sequence</span> <span class="vhdlkeyword">of</span> operation:</span><span class="keyword"></span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;<span class="keyword">----    -adapt_starter -&gt; triggered by any <span class="vhdlkeyword">of</span> above resets <span class="vhdlkeyword">to</span> deassert <span class="vhdlkeyword">then</span> waits <span class="vhdlkeyword">for</span> DFE LPM reset <span class="vhdlkeyword">to</span> complete</span><span class="keyword"></span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="keyword">----    -agc_loop_fsm -&gt; triggered by adapt_starter completion <span class="vhdlkeyword">then</span> waits <span class="vhdlkeyword">for</span> <span class="vhdlkeyword">all</span> loops <span class="vhdlkeyword">to</span> lock</span><span class="keyword"></span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<span class="keyword">----***************************************/</span></div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;i_starter : <a class="code" href="classS6Link__adapt__starter.html">S6Link_adapt_starter</a></div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;<span class="vhdlkeyword">generic</span> <span class="vhdlkeyword">map</span>(</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    WAIT_CYC  =&gt; <span class="vhdllogic">10</span></div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;<span class="vhdlchar">)</span> </div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;(</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    RST                   =&gt;  rst,</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    CLK                   =&gt;  DCLK,</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    DO                    =&gt;  DO,</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    DRDY                  =&gt;  DRDY,</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    DADDR                 =&gt;  daddr_starter ,</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    DEN                   =&gt;  den_starter ,</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    DWE                   =&gt;  dwe_starter ,</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    READY                 =&gt;  start_done ,</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    curr_state_debug      =&gt;  starter_state<span class="vhdlchar">(</span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    counter_debug         =&gt;  starter_count <span class="vhdlchar">(</span><span class="vhdllogic">2</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    rst_int_debug         =&gt;  starter_rst_int </div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;<span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;i_lock : <a class="code" href="classS6Link__lpm__loop__fsm.html">S6Link_lpm_loop_fsm</a></div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="vhdlkeyword">generic</span> <span class="vhdlkeyword">map</span>(</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    usr_clk  =&gt; TIMER</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="vhdlchar">)</span> </div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;<span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;(</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    DCLK               =&gt;  DCLK,</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    reset              =&gt;  rst_lock ,</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    DRDY               =&gt;  DRDY,</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    DO                 =&gt;  DO,</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    holds              =&gt;  holds ,<span class="keyword"> --KLHOLD,KHHOLD</span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    DI                 =&gt;  di_lock ,</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    DADDR              =&gt;  daddr_lock ,</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    DWE                =&gt;  dwe_lock ,</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    DEN                =&gt;  den_lock ,</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    kill3              =&gt;  lock_done ,</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;    state              =&gt;  lock_state <span class="vhdlchar">(</span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    count_lock_out     =&gt;  lock_count<span class="vhdlchar">(</span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    store_di0          =&gt;  store_di0 ,</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    start              =&gt;  start ,</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    enable             =&gt;  enable ,</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    kill0              =&gt;  kill0 ,</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    kill1              =&gt;  kill1 ,</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    kill2              =&gt;  kill2 ,</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    lock0              =&gt;  lock0 ,</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    lock1              =&gt;  lock1 ,</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    lock2              =&gt;  lock2 ,</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    lock3              =&gt;  lock3 </div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">Behavioral</span>;</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:41 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
